*{
    margin: 0px;
    padding: 0;
    /* overflow: hidden; */
    box-sizing: border-box;
}
.navbar{
    width: 100vw;
    height: 77px;
    background-color: rgb(230, 164, 248);
    display: flex;
    justify-content: center;
    align-items:center;
}
.navbar div {
    color: rgb(0, 0, 0);
    margin-left: 40px;
    font-size: 3rem;
}

.game{
    border: 2px solid black;
    display: flex;
    
    justify-content: center;
    align-items: space-around;
    position: relative;
    z-index: 2;
    width: 100vw;
    /* height: 100vh; */
}
.container{
    display: grid;
    grid-template-columns: repeat(3,10vw);
    grid-template-rows: repeat(3,10vw);
    position: relative;
top: 24px;
right: 250px;
margin-bottom: 100px;
    
    
}
.line{
    position: absolute;
    background-color: rgb(219, 25, 25);
    width: 0;
    height: 2px;
    transition: width 1s ease-in-out;
}
.box{
cursor: pointer;
    border: 3px solid black;
}
.box:hover{ 
    background-color: rgb(230, 164, 248);;
} 
/* rgb(244, 232, 255) */
.insidebox{
    /* border: 2px solid purple; */
font-size: 8vw;
display: flex;
justify-content: center;
align-items: center;
align-items: center;
width: 100%;
height: 100%;
overflow: hidden;
transition: .5s;
}

.info{
    position: absolute;
    top: 53px;
    right: 317px;
}
.turn{
    font-size: 1.7rem;
    
}


.reset-btn{
    font-size: 1.3rem;
    padding: 8px;
    border: 1px solid black;
    border-radius: 5px;
    width: 186px;
    background-color: #50e2f1;
    margin-bottom: 34px;
}

/* .overlay{
    width: 100vw;
height: 100vh;
position: absolute;
top: 79px;
background-color: rgba(0, 0, 0, 0.82);
z-index: 100;
display: flex;
justify-content: center;
align-items: center;
} */
.gif-container{
    position: relative;
    /* width: 200px; */
    width: 200px;
    z-index: -3;
    /* top: 5px;
    right: 642px; */

}
.gif{

   /* position: absolute; */
    width: 0;
}
.restart{

    font-size: 1.3rem;
    padding: 8px;
    border: 1px solid black;
    border-radius: 5px;
    width: 186px ;
    background-color: #50e2f1;
    margin-bottom: 34px;
}
.tips{
   
    padding: 20px 250px;
    
}
.tips div {
    margin: 20px;
}
footer{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: black;
    color: white;
    width: 100vw;
    height: 150px;
    line-height: 40px;
}







.bt-0{
    border-top: 0px;
}
.br-0{
    border-right: 0px;
}
.bb-0{
    border-bottom: 0px;
}
.bl-0{
    border-left: 0px;
}


